.mobile {
  display: flex !important;
  width: 100vw;
  height: calc(100vh - 78px);
  top: 78px;
  left: 0;
  position: fixed;
  background-color: #181818;
  z-index: 20;
}
.mobile .primary-menu-cont {
  width: 100%;
  box-sizing: border-box;
  margin-right: auto;
  margin-left: auto;
  padding-right: 0.9375rem;
  padding-left: 0.9375rem;
}
@media (min-width: 520px) {
  .mobile .primary-menu-cont {
    max-width: 520px;
  }
}
@media (min-width: 640px) {
  .mobile .primary-menu-cont {
    max-width: 640px;
    padding-right: 0.9375rem;
    padding-left: 0.9375rem;
  }
}
@media (min-width: 768px) {
  .mobile .primary-menu-cont {
    max-width: 768px;
    padding-right: 1.125rem;
    padding-left: 1.125rem;
  }
}
@media (min-width: 1024px) {
  .mobile .primary-menu-cont {
    max-width: 1024px;
    padding-right: 1.125rem;
    padding-left: 1.125rem;
  }
}
@media (min-width: 1280px) {
  .mobile .primary-menu-cont {
    max-width: 1280px;
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
}
@media (min-width: 1440px) {
  .mobile .primary-menu-cont {
    max-width: 1440px;
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
}
.mobile .primary-menu-cont .site-main-menu {
  width: 100%;
  flex-direction: column;
  box-sizing: border-box;
}
.mobile .primary-menu-cont .site-main-menu > li {
  margin: 0;
  height: 97px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  border-bottom: 1px solid rgba(69, 69, 69, 0.5019607843);
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children {
  height: auto;
  flex-direction: column;
  cursor: pointer;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children::before {
  right: 30px;
  top: 32px;
  transform: rotate(180deg);
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children.open::before {
  transform: none;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu {
  position: static;
  height: 0;
  overflow: hidden;
  max-width: none;
  border: none;
  padding: 0;
  background-color: rgb(24, 24, 24, var(--tw-bg-opacity));
  border-radius: 0;
  transition: all 0.3s ease 0;
  width: 100% !important;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu.showed {
  height: auto;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu > li {
  width: calc(50% - 8px);
  margin-left: 0;
  margin-right: 16px;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu > li:nth-child(2n) {
  margin-right: 0;
}
@media (max-width: 520px) {
  .mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu > li {
    width: 100%;
    margin-right: 0;
  }
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu > li a {
  padding: 12px;
}
.mobile .primary-menu-cont .site-main-menu > li.menu-item-has-children .sub-menu > li a .subMenuitem {
  width: 100%;
}
.mobile .primary-menu-cont .site-main-menu > li > a {
  width: 100%;
  padding: 2.1rem 0;
}
